summaryrefslogtreecommitdiff
path: root/debian/config
diff options
context:
space:
mode:
authorivan <ivan>2008-04-08 05:49:11 +0000
committerivan <ivan>2008-04-08 05:49:11 +0000
commit207515697bfcc93b03227ea0b581b15cf89b1fbc (patch)
tree5df0fb94a146394eed493c1f4406de60c95470bd /debian/config
parent6626dc2a13c809092aa539c5a72bc72a0c56afdc (diff)
debian packages!
Diffstat (limited to 'debian/config')
-rw-r--r--debian/config19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/config b/debian/config
new file mode 100644
index 000000000..4ffa236f3
--- /dev/null
+++ b/debian/config
@@ -0,0 +1,19 @@
+#!/bin/sh
+# config script for freeside
+
+set -e
+
+# source debconf stuff
+. /usr/share/debconf/confmodule
+
+# source dbconfig-common shell library, and call the hook function
+if [ -f /usr/share/dbconfig-common/dpkg/config ]; then
+ # we support mysql and pgsql
+ dbc_dbtypes="pgsql, mysql"
+
+ # source dbconfig-common stuff
+ . /usr/share/dbconfig-common/dpkg/config
+ dbc_go freeside $@
+fi
+
+# ... rest of your code ...